Ubuntu

Black screen after installing Nvidia drivers on 10.10

Reported by Jose Luis on 2010-10-14
258
This bug affects 53 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned

Bug Description

The exact problem I face is that as soon as I install the Nvidia recommended drivers using the "Hardware Driver Manager", I restart the system but it never gets past the login splash screen. After I log in it simply goes to a black screen and sits like this indefinately. I can hear the login sound but there is no image.

My GPU: Nvidia Gforce 8400GS 256MB RAM PCIe Ubuntu Maverick 10.10

Jose Luis (josedelsud) wrote :

By the way the suggested driver in Maverick 10.10 is: Nvidia 260.19.06 in Lucid Lynx the suggested driver to install is: 195.XX and it works perfect (in 10.04).

Brion Vibber (brion) wrote :

I'm seeing this happen immediately after a fresh installation; I never explicitly chose the proprietary NVidia drivers, but did select the general option to install proprietary drivers, which leads me to suspect it did go ahead and install them.

After the GRUB boot loader finishes, the screen drops into "power-saving mode" and can never be woken again short of a reboot, that I've found. Booting into recovery mode shows the text-mode kernel boot messages fly by, then the screen drops in the same way. I never get either a text shell or an X login screen. Ctrl+alt+F1 etc to switch VTs has no discernable effect.

Running a fresh 64-bit 10.10 desktop release CD. Video is an NVIDIA Quadro® NVS 295. Using one DVI monitor connected through a Displayport->DVI adapter; I've tried both ports and double-tested with two known-good monitors.

The desktop installer CD itself boots just fine. Under 10.04 this machine worked ok with stock drivers and with proprietary drivers pulled from Nvidia directly.

Jose Luis (josedelsud) on 2010-10-20
tags: added: xorg
tags: added: video
removed: xorg
kabeza (kabeza) wrote :

I'm also having this trouble
I have a GForce 8400 GS PCIe

I've upgraded from 10.04 to 10.10 and tried:
- installing latest (260) driver from nvidia.com
- installing nvidia-current, nvidia-current-modaliases, etc. and activating, etc.

I don't know what else to try, but I'm still getting monitor off (or monitor hang) at boot

Lauri Kainulainen (luopio) wrote :

Same issue w/ Nvidia 310M on sony vaio VPCS11V9E. Xorg.log reports:

[ 18.690] (WW) NVIDIA(0): Unable to get display device DFP-0's EDID; cannot compute DPI
[ 18.690] (WW) NVIDIA(0): from DFP-0's EDID.

I had the same issue in 10.04 and solved it with a CustomEDID line in xorg.conf. The same thing in 10.10 does not work. With it no errors are reported though. Just one warning regarding CRT-0 (vga connector in 10.04):

[ 19.169] (WW) NVIDIA(GPU-0): Unable to read EDID for display device CRT-0

I've also tried the latest stuff from ubuntu-x-swat/x-updates ppa.

Dylan Coakley (dylan-coakley) wrote :

I can confirm I have this exact same problem. I have an Nvidia 9800GT 512MB. When I install the proprietary driver, I restart. Before it gets to the Ubuntu loading screen the screen goes completely black!

I have tried it at least 5 times and its still the same result. Getting that Nvidia driver working for me lately has become a real sore spot of Ubuntu.

Jose Luis (josedelsud) wrote :

Nvidia 195.36.24 is the last version that works perfect on my Ubuntu 10.04 if I try to update to 260.19.06 I get a black screen.

disappearedng (disappearedng) wrote :

Same problem here...
On VPCS117GG. After installing a fresh copy of 10.10, did the following:
1) Modified grub and added nomodeset option (and ran update-grub)
2) Installed the recommended nvidia driver through available drivers,

Rebooted, screen flashes continuously for 4 times then blank.
3) Ran sudo nvidia-config
Rebooted, same error

4) Uninstalled nvidia*
5) removed all xorg.conf under /etc/X11 (to fall back on VESA)

Rebooted, screen works, but resolution wrong, brighntess issue, eyes hurting.
Already a problem on 10.04 (but at least nvidia-driver worked) surprised that 10.10 broke it.

disappearedng (disappearedng) wrote :

Following up my previous post:
tgm

disappearedng (disappearedng) wrote :

Following up my previous post:

Rho_T (robinho-taylor) wrote :

 I have Ubuntu 10.10 a new'ish Vaio laptop with an NVIDIA 310m and have had all the same problems - it worked in 10.04 and then didn't when I upgraded to 10.10 - Blank screen and then 'no screens available', etc. I've just fixed it with the following...I've tried to detail things as much as possible. But please bare in mind you will need your laptops custom EDID before starting.

Here we go:

A) Go to the Synaptics Package Manager, do a search for NVIDIA and remove everything.

B) Download NVIDIA-Linux-x86-256.53.run from the NVIDIA Linux website and save it somewhere

C) Open up a terminal and type
Code:

/etc/init.d/gdm stop

D) now type
Code:

sudo bash

E) then navigate to the folder where you saved your NVIDIA driver

F) Type
Code:

 ./NVIDIA-Linux-x86-256.53.run

G) Click yes to everything

H) restart and boot up in safe mode (hit shift after bios)

I)edit your Xorg .conf file by opening up a terminal and typing
Code:

sudo gedit /etc/X11/xorg.conf

J) If you like remove everything in it and paste in the following (you may have to change the customedid path and also your busID) and save:
Code:

Section "Device"
    Identifier "Device0"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    Option "ConnectedMonitor" "DFP-0"
    Option "CustomEDID" "DFP-0:/etc/X11/nvidiaedid.bin"
    BusID "PCI:1:0:0"
EndSection

K) open the terminal again and type:
Code:

sudo gedit /etc/default/grub/

and change the line to the following: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

L) Now often when restarting every is faced with the no screens problem, I think this is due to nouveau being a pain, so open up your terminal again and type
Code:

sudo gedit /etc/modprobe.d/blacklist.conf

and in this file at the bottom add the following
Code:

blacklist nouveau

---works for me

Hi all,

I am having this very issue too with a Geforce 8400GS on Ubuntu 10.10. Very frustrating and unsure about what is causing it. I've tried the latest Nvidia drivers from the official website and the ubuntu package (nvidia-current). Boots up and logs in (can hear the login sound) but no display. Only fix is to login to the console and remove the drivers and enable "nouveau" again.

BTW I've tried all sorts of other "fixes" to no avail...

Mark Williams (mj-walfredo) wrote :

I thought I was affected by this bug but it was actually a different root cause in my case.

The actual cause was my dual display setup.

When I switched to the nvidia driver from nouveau, I didn't realize that I had even plugged in my "second" display. While the display was actually powered off, the driver was still able to automatically detect it. The second display, which was off, got chosen as primary display which. The end result was that I was able to reach the console but not see the X screen on the primary.

Pemeq (pemeq) wrote :

I have the exact problems of the original poster.

I install the latest driver for my 8400 gs card, reboot. And then you get the purple screen but instead of Ubuntu, it says 10.10.
After that, screen stays purple.
Funny thing is, this also happens to me when I use another operating system like Windows Vista. Is it the card then?

I hope things will get fixed soon by a patch or something.

novotny (manfred-novotny) wrote :

hi.

I'm rather disappointed that the NVidia GeForce 8400 GS does no longer work with Ubuntu 10.10 - I'm also affected by the black screen problem. Hopefully the problem will be fixed soon, because a downgrade to Ubuntu 10.04 would cost even more time than i already spent trying to fix the nvidia-problem.

golthiryus (noleoloscorreos) wrote :

Same graphic card (Nvidia 8400GS), same problem. NVIDIA-Linux-x86-256.53.run works

Nvidia 8600M GT on acer 5920g (ubuntu 10.10) , same problem!

colosso (snoopy-c) wrote :

Tengo un Monitor sony con DVI/VGA y al estar conectado solo por el DVI (en una Zotac GForce 250GTS 1G DDR3)no podía ver
nada,la Pantalla se ponia negra y decia sin conexion DVI.No reconocia la conexion
Como no me funcionaba nada de las soluciones que leí y probé.
Conecte al Monitor el otro cable VGA a la gráfica y funciono en mi caso.
Tengo una buena resolución y se me ve todo perfecto.
Aunque tengo que decir que en Ubuntu 8.04 Hardy no me pasaba,a partir de esa versión me paso con todas hasta la 10.10
Ahora disfruto de 1280 x 1024 y me reconoce el LCD de SONY.
pero no puedo usar los efectos ya que si lo hago me baja la resolución a 640x480
y si cambio el xorg.conf la pantalla se descentra y la resolucion no cambia.
un saludo gracias

Dylan Coakley (dylan-coakley) wrote :

I did have my card working on Ubuntu 10.04 using the 195.36.15 Nvidia driver just before I got an update to 195.36.24. Then my card would no longer work as Ubuntu stalled at bootup.

Now in Ubuntu 10.10 after installing this 260.19.06 version of the Nvidia driver, I get a black screen before it gets to the bootup loading screen.

Is there any chance of Nvidia-current being updated?? or some other fixes sent over updates?

Pemeq (pemeq) wrote :

@golthiryus
So you say that the NVIDIA-Linux-x86-256.53.run fix mentioned by Rho_T works?
Please let us know.

golthiryus (noleoloscorreos) wrote :

Until last week I have 256.53 nvidia driver, but I was working with openGL and with this driver every time I use openGL the screen blinks in black for a second (I have the same problem in windows xp) so I tried to update the driver and then I had the problem that is described here.

But I do not remember as I had installed the driver. I know I did a clean ubuntu 10.10 with the nvidia installer, but do not remember having changed the grub or xorg.conf.

I am currently using the 173 installed from the repositories and kubuntu desktop effects are very slow, so maybe (if I feel brave) I will try what it says Rho_T.

AwarenesS (voidplayer) wrote :

I have tried every combination possible of...

* latest nvida driver from nvida page
* nvidia-173 from repositories
* >nvidia-173 from repositories

with

* 2.6.32-25-generic
* 2.6.36-1 from kernel team ppa
* 2.6.37-3-generic from kernel team ppa

only 2.6.32-25 with nvidia-173 from repositories seems to work for me

(i was not able to install nvidia-173 with kernel 2.6.37-3-generic tho)

AwarenesS (voidplayer) on 2010-11-16
Changed in xorg-server (Ubuntu):
status: New → Confirmed
Marc-Antoine Ruel (maruel) wrote :

Same problem with nvidia NVS 450 with 3 monitors. I got it to work intermittently with only one monitor connect with similar to comment #10 but slightly more newbie-proof:

Close any open application.

If in X, you need to kill and and switch to a text terminal with the following:
open a terminal
sudo stop gdm
Ctrl-Alt-F2

Cleanup to start fresh:
sudo apt-get remove --purge nvidia-* xserver-xorg-video-nv xserver-xorg-video-nouveau
sudo echo "blacklist nouveau" >> /etc/modprobe.d/blacklist.conf

Install specific nvidia drivers:
curl -OL http://us.download.nvidia.com/XFree86/Linux-x86_64/256.53/NVIDIA-Linux-x86_64-256.53.run
sudo bash ./NVIDIA-Linux-x86-256.53.run
-> it needs to succeed.

Force a boot flag:
sudo nano /etc/default/grub
-> change the line to the following: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"
sudo update-grub

You can now reboot:
sudo shutdown -r now

---

In the meantime I'll put back the video card into my windows box and NX into my linux machine :(

golthiryus (noleoloscorreos) wrote :

I installed 256.53 and had the same problem. Then I followed the @Rho_T steps and changed grub, blacklist and the xorg.

But I didn't remove all my xorg.conf, only change the Device seccion adding
    Option "ConnectedMonitor" "DFP-0"
but I didn't add
    Option "CustomEDID" "DFP-0:/etc/X11/nvidiaedid.bin"
    BusID "PCI:1:0:0"
because I didn't know which PCI use and /etc/X11/nvidiaedid.bin was empty in my pc. When I restarted I have the related problem and my monitor shows a pretty black screen. Then I thought what I did and saw that haven't got any monitor named "DFP-0" and change this string to "Monitor0" (which is the only monitor I saw in xorg.conf), then start the kdm daemon and... chachan! It works!

This weekend I have no plans, so now I plan to try this with the current driver to see if I can install it... or otherwise I break the machine (usually I break my pc when I have no plans for a weeken)

golthiryus (noleoloscorreos) wrote :

I installed 256.53 and had the same problem. Then I followed the @Rho_T steps and changed grub, blacklist and the xorg.

But I didn't remove all my xorg.conf, only change the Device seccion adding
    Option "ConnectedMonitor" "DFP-0"
but I didn't add
    Option "CustomEDID" "DFP-0:/etc/X11/nvidiaedid.bin"
    BusID "PCI:1:0:0"
because I didn't know which PCI use and /etc/X11/nvidiaedid.bin was empty in my pc. When I restarted I have the related problem and my monitor shows a pretty black screen. Then I thought what I did and saw that haven't got any monitor named "DFP-0" and change this string to "Monitor0" (which is the only monitor I saw in xorg.conf), then start the kdm daemon and... chachan! It works!

golthiryus (noleoloscorreos) wrote :

I installed 256.53 and had the same problem. Then I followed the @Rho_T steps and changed grub, blacklist and the xorg.

But I didn't remove all my xorg.conf, only change the Device seccion adding
    Option "ConnectedMonitor" "DFP-0"
but I didn't add
    Option "CustomEDID" "DFP-0:/etc/X11/nvidiaedid.bin"
    BusID "PCI:1:0:0"
because I didn't know which PCI use and /etc/X11/nvidiaedid.bin was empty in my pc. When I restarted I have the related problem and my monitor shows a pretty black screen.

Then I thought what I did and saw that haven't got any monitor named "DFP-0" and change this string to "Monitor0" (which is the only monitor I saw in xorg.conf), then start the kdm daemon and... chachan! It works!

golthiryus (noleoloscorreos) wrote :

ups, sorry for send 3 times the same message... rekonq said me there was an error and I thought the message had not been sended

surfprjab (surfprjab) wrote :

  Dear all,

I have a VAIO VPCF115FM with a 1G Nvidia Gforce GT 330 with CUDA.

Furthermore, I'm going to post in this thread but I will add some questions and concerns.

I am new to GNU/Linux but I have read about this OS for sometime.

I have always been amazed by the arguments of security and efficiency in hardware resources. Which I have been seen it. They are true.

Nevertheless, I have always think that this OS is for computer wizards or people who have lot of time to spend going around commands. I am not neither of both, I am an epidemiologist and a father.

Furthermore, I need something easy to understand, reliable, efficient and secure.

Since W-Vista came to the market and for other important personal reasons have been more interested in this OS

Nevertheless, now that I have had to deal with some problems and I will like to have some help and to decide if GNU/Linux is for me. The distro that I have is Ubuntu 10.10.

Very nice Gnome, I like many of the features. Nice work. BUT!!!!

As other post in this thread I can not use the power of my gpu and as others I try to install the Nvidia web site driver and I get the black screen.

Following an on-line help I destroy all the partitions deleting Windows 7 Home Premium (still a Resources Guzzler) all components that Sony installed with it. I did not made a recovery disk. “My bad” or probably was good. Iĺl know with your help.

Then, I re-install Ubuntu try to do some complicated things posted here but did not worked for me and I really do not have time for more.

I have confronted other problems such as computer freeze, I can not use the Blu-Ray (I read about the reasons but still sucks).

Other concern that I have is if Sony release a firmware or software to fix some bug in the computer configuration such as an actual overheating problem how do I install this on Ubuntu? It is necessary?

Windows 7 could be many things but my computer ran smoothly.

I belief in the open source community, I use open source software's but what I do with an OS that is not working right out of the box for me. Do I install other distro? Or earlier releases? What I do?

I would not want to go back but I need help in understand what is happening or let me know if is better to buy a recovery disk for W7.

Thanks for your time and Regards

Bryce Harrington (bryce) on 2010-11-23
affects: xorg-server (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
AwarenesS (voidplayer) wrote :

Dear surfprjab, I would try the ubuntu forums insted of a bug report for that kind of questions. Nevertheless I am going to try answering but please, notice that i am not a computer wizard either.

After my computer had crashed badly I had tried to switch to linux lots of times with no luck. Usually, something hardware related was not working for me. I followed lots of tutorials to make that hardware work via software. I was doing it wrong. One day I tried the other way around changing hardware that is not working right with my software. And like magic Everything started working with near to none frustration. I buy hardware and if it doesnt work flawlessly, I return it.

Some times the hardware manufactures are not linux friendly, and the linux community have to reverse engineering the drivers, which is not easy. I rather buy linux-friendly hardware.

I know this may not help you, but I dont know about your particual case with your laptop. This is what I do and I have with ubuntu since 8.04.

There are other distros, maybe one run flawlessly with your laptop. Try asking in the ubuntu forums or give it google a try ;)

Good luck

Jose Luis (josedelsud) wrote :

@Pemeq NVIDIA-Linux-x86-256.53.run drivers run reasonably well on my pc but has "screen outgages" (intermintent black screens, as an example when I switch to full screen in Youtube.

Jose Luis (josedelsud) wrote :

It seems xorg 1.9 and later + Nvidia 260.xx series does not work properly.

surfprjab (surfprjab) wrote :

AwarnesS,

Thanks for your replay.

I understand what you said! During these past days I have tried Ubuntu 10.10 in a three years old Gateway and in a New HP WorkStation.

The OS work fine. I most say that I am very impress with the OS.

Sadly, in this moment I would not be able to change my laptop.

I have been looking around, learning more about Ubuntu web site and forums. I have seen some solutions. Nevertheless, to be implemented required some skill and time that I have in this moment.

As you recommended I will post in the forum and try to find / wait for an easy solution or some new updates.

As said before I belief in the open source community and Ill try as much as possible to not go back with my available resources (Vaio laptop). :(

Thank

Sam_ (and-sam) wrote :

@Bryce
On Dec. 6th I'll get a new pc with GeForce 8400 GS. I was about to install 10.10, but if the issue isn't fixed till then I'm about to install Natty (daily-build-current), since it has the newer driver, which seems to work better.
http://ubuntuforums.org/showthread.php?t=1629116
I assume it doesn't make a difference if I'd order a different video card, e.g. GeForce 9400 or 9600?
I'd appreciate any suggestion from your point of view. Thank you.

Regarding the topic.
> I can hear the login sound but there is no image.

Maybe try the workaround suggested there.
https://help.ubuntu.com/community/BinaryDriverHowto/Nvidia#Screen%20Blanks/Monitor%20Turns%20Off

Jose Luis (josedelsud) wrote :

@Sam My screen conection is not thru DVI it is the usual VGA conector. Every Nvidia proprietary driver has been successfully installed in my PC since a couple of years using the "hardware driver manager" in Ubuntu, since Nvidia 260.xx series version started this issue.

rmenendezm (rmenendezm) wrote :

Same problem here... blank screen after installing nvidia propietary drivers.
On DELL XPX14 running GEFORCE GT420M.

I had follow all the previous indications as well as the ones from several forums and so far I just can login into my box iff I remove the xorg.conf file from /etc/X11/, no matter the configuration of my grub file.

The problem is with the ubuntu nvidia drivers i can not sett up and external monitor through HDMI (the only video output in this laptop model)

Please help will be appreciated. I have being using ubuntu since 8.04 and with the exception of a sound issue before I was pretty happy but i want to use my external monitor through HDMI and so far not even the nvidia propietary drivers install :(((

niknah (hankin0) wrote :

Yay! Thanks a lot!
I have just unbricked my 8400GS computer.

NVIDIA-Linux-x86_64-256.53.run worked for me.

Followed the instructions from Marc-Antoine Ruel above.

If that's not working, you may want to try changing the "Device" section in /etc/X11/xorg.conf from
Driver "nvidia"
to
Driver "vesa"

So at least you have a semi-usable computer.

rmenendezm (rmenendezm) wrote :

I tried the instructions from Marc-Antoine Ruel above and I got a message like: (EE) Device not found. This from the configuration done bye the nvidia installer.
Then I changed the "Device" section in /etc/X11/xorg.conf from
   Driver "nvidia"
to
   Driver "vesa"
but as result I could (at least) restart in low graphic mode but when I tried to set two monitors it tells me impossible for the current configuration.

<HELP>!!!!!!!!</HELP>

surfprjab (surfprjab) wrote :

Hi

How do I know if Ubuntu developer have in agenda work with this ubuntu/nvidia/vaio or else incompatibility?

Where do I track the progress, if is within plan?

Regards

Piranha (beni-urgent) wrote :

I downgraded back to 10.4 (reinstalled). I haven't managed to make the glx module work again, but it worked before, so I'm positive I'll get it done today or tomorrow.

I'll keep monitoring the thread until there's a solution. I've got a GeForce 330M and experience the same problem and nothing helps.

Too bad my wireless card doesn't work with 10.4, but I rather have graphics than wireless internet.

Ganton (ganton) wrote :

> After the GRUB boot loader finishes, the screen drops into "power-saving mode" and can never be woken again short of a reboot"
The same happened to me, and thank God, I found
http://www.ubuntugeek.com/how-to-fix-ubuntu-10-04-lts-lucid-blank-screen-at-startup.html
and followed those steps.

Sarim Khan (sarim2005) wrote :

This freaking problem is totally shitting at me. :(

I installed latest driver from both repo and nVidia site. one by one, none of them worked. :(
I got the sound out of my speaker, i got the display in a remote VNC, but the Monitor is still in power saving mode. :(
Tried all the suggestions preferred in this thread, but alas, none worked. :(

Sam_ (and-sam) wrote :

I'm out. Cancel my request #34 I'll buy RadenHD; but still go for Natty (daily-build) ^^
My best wishes to all and good luck.

Just something I came across the other day: When you boot in recovery mode
and choose failsafeX in the upcoming menu the graphics actually run faster
than with Vesa on normal boot, no GLX though. I have to investigate that a
little further.

Cheers

On Sun, Dec 5, 2010 at 00:37, Sam <email address hidden> wrote:

> I'm out. Cancel my request #34 I'll buy RadenHD; but still go for Natty
> (daily-build) ^^
> My best wishes to all and good luck.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/660596
>
> Title:
> Black screen after installing Nvidia drivers on 10.10
>
>

Jose Luis (josedelsud) wrote :

Any news? I have posted this bug on Oct 18th, 2010 and still can't find a fix, as well as I have found the same problem in other distros like Arch Linux, Chakra Linux (a derivate of Arch), Open Suse and a couple more. It would be great to find a solution to this annoying problem, a Geforce 8400GS is not that old to have to replace it by a new one just because a software incompatibility.

I've tested two cards. GeForce 6200 TurboCache runs perfectly with the 260.19.06 driver, but I had no luck with a brand new GeForce GT 240 - black screen / system hangs when starting X. Unfortunately that card isn't supported by the 195 driver, so I tried the 256 - system shows login screen (KDM) but freezes when logging in. Using the nouveau driver, the GT 240 card runs fine (but rather slow, and no 3D).

Jose Luis (josedelsud) wrote :

I didn't post my Hardware layout here it is:
mobo Asus M2N SLI - AMD Athlon(tm) 64 X2 Dual Core Processor 4600+ 2400Mhz - 2GB RAM DDR2 667 - GPU: Nvidia Gforce 8400GS 256MB - HD WD 250 GB - Monitor: LG Flatron 1953S 19"
I don't know if it helps but I am posting this info as reference.
I have discovered that this problem is related also to: Archlinux, Chakra Linux, OpenSuse, PCLinuxOS, Mandriva & Linuxconsole in my case, the same results, till 253.xx.xx series works ok, from 260.06.xx till last one 260.19.29 break the X.
Thanks

Jose Luis (josedelsud) wrote :

By the way using drivers 256.53.xx just flicks time to time, so I guess Nvidia made modifications to their drivers.

Kasper Nymand (kaspernymand) wrote :

I got the exact same problem.

I have an NVIDIA GeForce GT 330M, and got this same problem, when I tried to update to the NVIDIA 3D Acceleration Driver update (from NVIDIA).
I'd also got the black screen (everytime I tried), and had to reboot in Recovery Mode, and edit the 'xorg.conf' file, back to the 'nv' driver.

And then it works fine again, but without the 3D Acceleration "software", in the NVIDIA driver.

I hope to see an update, on this bug very soon.

Thank you in advance! :-)

Changed in nvidia-drivers-ubuntu:
status: New → Confirmed
Sarim Khan (sarim2005) wrote :

@Kasper Nymand
"nv" driver is not the NVIDIA driver, its an opensource driver for nvidia
cards. I cant play games without the nvidia'r proparatory driver :(

2011/1/19 Kasper Nymand <email address hidden>

> I got the exact same problem.
>
> I have an NVIDIA GeForce GT 330M, and got this same problem, when I tried
> to update to the NVIDIA 3D Acceleration Driver update (from NVIDIA).
> I'd also got the black screen (everytime I tried), and had to reboot in
> Recovery Mode, and edit the 'xorg.conf' file, back to the 'nv' driver.
>
> And then it works fine again, but without the 3D Acceleration
> "software", in the NVIDIA driver.
>
> I hope to see an update, on this bug very soon.
>
> Thank you in advance! :-)
>
> ** Changed in: nvidia-drivers-ubuntu
> Status: New => Confirmed
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/660596
>
> Title:
> Black screen after installing Nvidia drivers on 10.10
>
> Status in NVIDIA Drivers Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Confirmed
>
> Bug description:
> The exact problem I face is that as soon as I install the Nvidia
> recommended drivers using the "Hardware Driver Manager", I restart the
> system but it never gets past the login splash screen. After I log in
> it simply goes to a black screen and sits like this indefinately. I
> can hear the login sound but there is no image.
>
> My GPU: Nvidia Gforce 8400GS 256MB RAM PCIe Ubuntu Maverick 10.10
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/660596/+subscribe
>

Kasper Nymand (kaspernymand) wrote :

@Sarim Khan

Yes, I know that.
And the 'nv' (open-source) is not really supported with 3D Acceleration, because NVIDIA don't want to release their source-code!

Come on NVIDIA! :-/

Gaizka (gaizkita) wrote :

Same problem of black screen before login. In ubuntu 10.04 32-bit it worked to me (I wonder why I switched to 10.10 64 bit)

I have tried all drivers from synaptics and also installed drivers manually from nvidia web.
Now, I'm runnig with nv.

NVIDIA 8600 GT card

Dylan Coakley (dylan-coakley) wrote :

So will this be fixed for 11.04 or what? I need to know is there any point in upgrading.

Lorenzo Asun (lorenzoasun) wrote :

I have a system with an Asus-9520 dual monitor graphic card on a Intel 3.00GHz 2GB of DDR1RAM.
I don't have problems with previous versions of Ubuntu using the 173 driver using this video like an Nvidia FX-5200 driver, downloaded through Synaptic.
I use 1024 x 768 pix 70 Hz on the left monitor (1) and 1280 x 1024 60Hz on the right (2) monitor.
But now there is impossible to independant configure them because the max resolution is 640 x 320 pix 60Hz. on the left monitor.
And when I can configure in a dual view 2048 x 768 70Hz, the system fall when open the Firefox browser.

How do I made to install correctly this old 173 driver and forget the problem with the new version?

I downloaded the Ubuntu Studio 8.04 version with similar results and the link to download the 9.04 is dead.

Resolve this bug shortly please, there are many other users in the same situation wich no post here.

Excuse my rusty english please, I'm from Chile.

Lorenzo

Just wanted to chime in too - any help here would be greatly appreciated.

IKT (ikt) wrote :

All I can recommend is that someone here with a system suffering from the known black screen bug installs ubuntu 11.04 on their system and reports back their findings.

Anyone up for it?

AwarenesS (voidplayer) wrote :

maybe we can hire a developer to fix this? :S

as a side not, does it happen in debian as well?

I had this same problem when upgrading from 10.04 to 10.10 with Dell Vostro 15000 nvidia 8600M, and it turned out to be my kernel version was old.

After a while and a lot of hacking, i realised that the kernel I was using was the old 10.04 one. Even though I had downloaded the latest ones automatically, my grub for some reason wasn't displaying the new ones (my one is now 2.6.35-27-generic). So I had to manually go into the /etc/grub/grub.cfg file and add the entries for the other kernels. I then installed the nvidia-current package again and then all was well.

In summary, check that your kernel is ok, and if not go and get the right kernel, or go and get the headers for your kernel and compile the latest driver.

AwarenesS (voidplayer) wrote :

@James Hornitzky

https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/660596/comments/22

I commented on that on comment #22

Thanks anyway

AwarenesS (voidplayer) wrote :

maybe this is what we need

https://lists.ubuntu.com/archives/ubuntu-devel-discuss/2011-March/012482.html

Ive got my fingers crossed ;)

AwarenesS (voidplayer) wrote :

Ok, you all be very happy to hear that nVidia GeForce 8400 GS is working in natty

Piranha (beni-urgent) wrote :

Yay, I'm looking forward to the upgrade :)

On Fri, Mar 18, 2011 at 00:50, AwarenesS <email address hidden> wrote:

> Ok, you all be very happy to hear that nVidia GeForce 8400 GS is working
> in natty
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/660596
>
> Title:
> Black screen after installing Nvidia drivers on 10.10
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/nvidia-drivers-ubuntu/+bug/660596/+subscribe
>
>

Dylan Coakley (dylan-coakley) wrote :

Can anybody confirm if a Nvidia 9800GT works in 11.04?

Jose Luis (josedelsud) wrote :

well after a lot of searching on Google, I have found a solution to this issue:

editing xorg.conf and adding to section "Device" as follows:

Option "ConnectedMonitor" "CRT-1"

Some times flicks or blinks for a second but at least now it works! I guess the problem is related to the identification between my screen (LG 1953S 19" monitor) and my GPU Nvidia 8400GS PCI. I am not a technician but it is hard to believe that anyone in Nvidia or any Linux distro has not found a solution to the problem, thousand of users with the same unsolved issue.

Linuxexperte (andrea-koeth) wrote :

hi people,

yesterday I received a new better machine from my Dad with this nvidia GeForce 8400 GS graphic card. I am just on installing LinuxMint 10 on it. Just after installing the reboot without having the propriatory driver installed works fine. But if I install this driver (current-version as recommended) then the display-resolution is way too big. But if I want to change that in nvidia-settings, I receive the message, that I sould edit my nvidia-xorg-conf as root and then restart my xserver. But if I open this document as root (as stated in this massage), then I only see an empty document on my screen. So my next question would be: how to edit this nvidia-xorg-conf? My Monitor is this model:

Acer x193w 16:9 (widescreen)

So what do I have to do, to get my screen-resolution fixed?? The resolution after installation of this nvidia-driver is way to big and looks horrible on my screen.

So I really need help!!

Thick Greetings
Linuxexperte

Jose Luis (josedelsud) wrote :

I have installed Ubuntu 11.04 beta 01 and I must say: Nvidia proprietary driver works well on it, I can see the version is 270.30 so I guess 270.xx series works ok once again. Its very clear that Nvidia proprietary drivers 260.xx series has something conflictive between kernel 2.6.35 and up and Nvidia 8400GS GPU's (I have seen a couple more of models with the same issue).

Linuxexperte (andrea-koeth) wrote :

Hi people,

the installation of the nvidia-driver (current-version) ends up in a
black screen for me directly after reboot after having the driver
installed. When the reboot starts, the harddrive works (the motor is
running), but my screen tells me "no input-signal". So it seems to be
better, not to install this driver as long as this is not fixed, it
seems.

Or does someone here have a better idea?? I really need help with this
trouble.

Greetings
Linuxexperte

Am Samstag, den 02.04.2011, 12:46 +0000 schrieb Linuxexperte:
> hi people,
>
> yesterday I received a new better machine from my Dad with this nvidia
> GeForce 8400 GS graphic card. I am just on installing LinuxMint 10 on
> it. Just after installing the reboot without having the propriatory
> driver installed works fine. But if I install this driver (current-
> version as recommended) then the display-resolution is way too big. But
> if I want to change that in nvidia-settings, I receive the message, that
> I sould edit my nvidia-xorg-conf as root and then restart my xserver.
> But if I open this document as root (as stated in this massage), then I
> only see an empty document on my screen. So my next question would be:
> how to edit this nvidia-xorg-conf? My Monitor is this model:
>
> Acer x193w 16:9 (widescreen)
>
> So what do I have to do, to get my screen-resolution fixed?? The
> resolution after installation of this nvidia-driver is way to big and
> looks horrible on my screen.
>
> So I really need help!!
>
> Thick Greetings
> Linuxexperte
>

Linuxexperte (andrea-koeth) wrote :

Hi people,

I found something in ubuntuusers Wiki, what could solve this issue:

look here: https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

There is a newer driver available. Perhaps this could bring a solution
for these things. I will test that and come back with a message, if this
works. If yes, then this would be a big help.

Greetings and until then,
Linuxexperte

Am Samstag, den 02.04.2011, 18:26 +0000 schrieb Linuxexperte:
> Hi people,
>
> the installation of the nvidia-driver (current-version) ends up in a
> black screen for me directly after reboot after having the driver
> installed. When the reboot starts, the harddrive works (the motor is
> running), but my screen tells me "no input-signal". So it seems to be
> better, not to install this driver as long as this is not fixed, it
> seems.
>
> Or does someone here have a better idea?? I really need help with this
> trouble.
>
> Greetings
> Linuxexperte
>
> Am Samstag, den 02.04.2011, 12:46 +0000 schrieb Linuxexperte:
> > hi people,
> >
> > yesterday I received a new better machine from my Dad with this nvidia
> > GeForce 8400 GS graphic card. I am just on installing LinuxMint 10 on
> > it. Just after installing the reboot without having the propriatory
> > driver installed works fine. But if I install this driver (current-
> > version as recommended) then the display-resolution is way too big. But
> > if I want to change that in nvidia-settings, I receive the message, that
> > I sould edit my nvidia-xorg-conf as root and then restart my xserver.
> > But if I open this document as root (as stated in this massage), then I
> > only see an empty document on my screen. So my next question would be:
> > how to edit this nvidia-xorg-conf? My Monitor is this model:
> >
> > Acer x193w 16:9 (widescreen)
> >
> > So what do I have to do, to get my screen-resolution fixed?? The
> > resolution after installation of this nvidia-driver is way to big and
> > looks horrible on my screen.
> >
> > So I really need help!!
> >
> > Thick Greetings
> > Linuxexperte
> >
>

Linuxexperte (andrea-koeth) wrote :

hi people,

I tested this solution, I proposed and: works successfull!! Black screen prevented!! Bug can be closed!!

Do this steps to prevent this bug:

first after the initial installation, open up a terminal and type in this:

sudo apt-key adv --recv-keys --keyserver keyserver keyserver.ubuntu.com AF1CDFA9

Wait until key is imported, then type in this:

sudo gedit /etc/apt/sources.list

In your sources.list type in these both lines:

deb http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu maverick main
deb-src http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu maverick main

Then save these changes and close your sources.list

Then back in the Terminal, type in this:

sudo apt-get update (let it run through completely)

and then: sudo apt-get dist-upgrade (let it also run through completely).

Then reboot your machine and go to controlcenter. There go to "additional drivers" and install the new Version of the nvidia-driver and reboot your machine.

This will successfully reload your machine and prevent that balck screen.

Bug is solved and can be closed.

Greetings
Linuxexperte

Gema López (gema-lopez-munoz) wrote :

For me it's the same. NVidia Geforce GT 540M.
Ubuntu 10.10 32 bits

Dylan Coakley (dylan-coakley) wrote :

Still happens with Ubuntu 11.04... what the hell does somebody have to do to get their graphics card working?????

Getting pissed off with this!!

AwarenesS (voidplayer) wrote :

Nvidia 8400GS here.

I made a fresh install and its working alright. I have to say that 3d games works much better that it did with the propietary driver packed in ubuntu 10.04 and previous ones. What its really good news for me :)

I tried to upgrade from 10.04 and during the process something went wrong. I had to reboot and I was not able to recover a regular upgrade from there. The fresh installation worked alright tho :)

@Gema López try updating to natty

@Dylan Coakley sorry to hear it is not working for you. They made some quality tests (link at #60) prior to natty to work out things... maybe you can bring developers attention to this issue there

Good luck!

surfprjab (surfprjab) wrote :

I made an Ubuntu 11.04 fresh installation.

So far so good!!

Previously, to this new version, I tried many GNU/Linux distributions and all 64 bit OS gave me more or less the same graphic problem except SL (..but not so user friendly).

Let see how it goes!!

Linuxexperte (andrea-koeth) wrote :

hi dear,

try this ppa-repo of the ubuntu-x-swat. You'll find it in the
ubuntuusers Wiki. This repo brings new drivers, which solve this
problem. For me it did here in Linuxmint. You need to install it right
after installing the nvidia-driver from the control-center. Then right
afterwards, look here:

http://wiki.ubuntuusers.de/Grafikkarten/Nvidia/nvidia?highlight=Pw%
20Tbaustell%20ubuntu%20x%20swat

Do these steps, reboot your machine afterwards and the
blackscreen-problem is solved.

Greetings
Linuxexperte

Am Dienstag, den 03.05.2011, 15:27 +0000 schrieb surfprjab:
> I made an Ubuntu 11.04 fresh installation.
>
> So far so good!!
>
> Previously, to this new version, I tried many GNU/Linux distributions
> and all 64 bit OS gave me more or less the same graphic problem except
> SL (..but not so user friendly).
>
> Let see how it goes!!
>

Gaizka (gaizkita) wrote :

Hi,

I just installed Ubuntu Natty Narwhal 32bit and NVIDIA "current" drivers via standar installation. My graphics card is a Nvidia 8600 GT and with this configuration 3D acceleration works (I have unity fully enabled).

Piranha (beni-urgent) wrote :

Me too. Installing 11.04 64-Bit solved my trouble with my notebook. I had to activate propretary drivers and it worked like a charm.

Fixed in 11.04 I'd say.

jesus (superreyt) wrote :

He goes on something when I install nvidia drivers either from the same ubuntu or proprietary when I restart the screen stays all frozen and can only move the Mauser.

I have Gforce 7200

Install Linux mint and interestingly this happens but I do not want to be in ubuntu.

Adam Niedling (krychek) wrote :

I believe I have the same problem with an Acer 5755G laptop (nVidia 540m) and Ubuntu 11.10 64bit.
After a fresh install I get:

$ glxgears
Xlib: extension "GLX" missing on display ":0".
Error: couldn't get an RGB, Double-buffered visual

$ glxinfo
name of display: :0
Xlib: extension "GLX" missing on display ":0". (this line 5 times)

Error: couldn't find RGB GLX visual or fbconfig

Xlib: extension "GLX" missing on display ":0". (this line 7 more times)

When I run NVIDIA X Server Settings it tells me: You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run `nvidia-xconfig` as root), and restart the X server.

After I run sudo nvidia-xconfig and reboot X won't start anymore. I have tried both nvidia-current 280.13-0ubuntu6 and the latest available from nVidia website.

Adam Niedling (krychek) wrote :

I forgot to mention that I have two graphic cards in this system which might be the cause of the problem:

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: nVidia Corporation GF106 [GeForce GT 555M] (rev a1)

Actually it's not 555M (I wish it was), only 540M.

I also found bug #643895 which is a similar problem.
In my Xorg.0.log I also have:

(EE) No devices detected.
Fatal server error:
no screens found

Linuxexperte (andrea-koeth) wrote :

hi dear,

did you install the proprietary nvidia-driver?? I use LinuxMint and I have
no problems with the latest proprietary
nvidia-driver.

Did you do the whole update and dist-upgrade after the fresh install??
This brings a complete new nvidia-system
Your problem seems to be because you did not do the complete system-update
and system-upgrade as first steps after
your fresh installation

So you first pleas uninstall this driver again and go back to the
preinstalled one (nouveau). Then go to your Terminal
and run the complete systemupdate and systemupgrade.

Then close your Terminal and go back to your control-center. There search
for "additional drivers". Then install the proprietary
nvidia driver. This will unistall nouveau and then install this new nvidia
system!!

Greetings
Linuxexperte

Am 22.01.2012, 16:28 Uhr, schrieb Adam Niedling
<email address hidden>:

> I believe I have the same problem with an Acer 5755G laptop (nVidia
> 540m) and Ubuntu 11.10 64bit.
> After a fresh install I get:
>
> $ glxgears
> Xlib: extension "GLX" missing on display ":0".
> Error: couldn't get an RGB, Double-buffered visual
>
> $ glxinfo
> name of display: :0
> Xlib: extension "GLX" missing on display ":0".
> (this line 5 times)
>
> Error: couldn't find RGB GLX visual or fbconfig
>
> Xlib: extension "GLX" missing on display ":0".
> (this line 7 more times)
>
>
> When I run NVIDIA X Server Settings it tells me: You do not appear to be
> using the NVIDIA X driver. Please edit your X configuration file (just
> run `nvidia-xconfig` as root), and restart the X server.
>
> After I run sudo nvidia-xconfig and reboot X won't start anymore. I have
> tried both nvidia-current 280.13-0ubuntu6 and the latest available from
> nVidia website.
>

--
Erstellt mit Operas revolutionärem E-Mail-Modul: http://www.opera.com/mail/

Adam Niedling (krychek) wrote :

Installing Bumblebee fixed my problem:
https://launchpad.net/~hybrid-graphics-linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments